Opened 11 years ago

Closed 11 years ago

#209 closed defect (fixed)

USB backup results in --FATALERROR--- failed to generate boot+data disks

Reported by: phil.walker@… Owned by: bruno
Priority: normal Milestone: 2.2.5
Component: mondo Version: 2.2.4
Severity: normal Keywords: debian usbJ
Cc:

Description

I installed mondo/mindi from the link provided in ticket #407 (thanks!)

I now have a bug fix and an error to report.

The following diff output corrects some syntax errors in /usr/sbin/mindi-bkphw, and also removes the dependency on package File::Basename (it's not easily installed on our system, and was only used in one place).


7c7 < use File::Basename; ---

#use File::Basename;

19c19 < mkdir 0755,$bkpdir if (! -d $bkpdir) ; ---

mkdir $bkpdir,0755 if (! -d $bkpdir) ;

44c44 < $tooldir = dirname($tool); ---

($tooldir = $tool) =~ s#[
/][
/]*$##;

55c55 < print SCRIPT "(cd $tooldir ; $tool -s -f$bkpdir/conrep.dat)"); ---

print SCRIPT "(cd $tooldir ; $tool -s -f$bkpdir/conrep.dat)";

60c60 < print SCRIPT "$tool -r $bkpdir/cpqacuxe.dat"); ---

print SCRIPT "$tool -r $bkpdir/cpqacuxe.dat";

65c65 < print SCRIPT "$tool -r $bkpdir/hponcfg.dat"); ---

print SCRIPT "$tool -r $bkpdir/hponcfg.dat";

68c68 < print SCRIPT "$tool"); ---

print SCRIPT "$tool";


My target system has a single SATA drive with one partition (/dev/sda1) and is installed as a degraded RAID1. It has USB drivers compiled into the kernel. I have no problem creating a backup ISO file in the /tmp/backup directory, but when I try to backup to a USB stick on /dev/sdc I get the failure shown in the mondoarchive.log below.

I don't seem to have TICKET_APPEND permission, so here is the mondoarchive.log inline:

Time started: Sun Nov 4 13:02:58 2007

running: dmesg -n1 > /tmp/mondo.tmp.w7g8Ld/mondo-run-prog-thing.tmp 2> /tmp/mondo.tmp.w7g8Ld/mondo-run-prog-thing.err



...ran just fine. :-) Mondo Archive v2.2.5-r1766 --- http://www.mondorescue.org running i386 binaries running on i686 architecture


NB: Mondo logs almost everything, so don't panic if you see some error messages. Please read them carefully before you decide to break out in a cold sweat. Despite (or perhaps because of) the wealth of messages. some users are inclined to stop reading this log. If Mondo stopped for some reason, chances are it's detailed here. More than likely there's a message at the very end of this log that will tell you what is wrong. Please read it! -Devteam


Zero... [Main] main.c->welcome_to_mondoarchive#187: One...

[Main] main.c->welcome_to_mondoarchive#188: Two...

[Main] main.c->welcome_to_mondoarchive#189: Three...

[Main] main.c->welcome_to_mondoarchive#190: Four...

[Main] main.c->distro_specific_kludges_at_start_of_mondoarchive#207: Unmounting old ramdisks if necessary

running: umount mount | grep shm | grep mondo | cut -d' ' -f3 > /tmp/mondo.tmp.w7g8Ld/mondo-run-prog-thing.tmp 2> /tmp/mondo.tmp.w7g8Ld/mondo-run-prog-thing.err


Usage: umount [-hV] umount -a [-f] [-r] [-n] [-v] [-t vfstypes] [-O opts] umount [-f] [-r] [-n] [-v] special | node...


...ran with res=512 running: mount | grep cdrom | grep super > /tmp/mondo.tmp.w7g8Ld/mondo-run-prog-thing.tmp 2> /tmp/mondo.tmp.w7g8Ld/mondo-run-prog-thing.err



...ran with res=256 running: mount | grep floppy | grep super > /tmp/mondo.tmp.w7g8Ld/mondo-run-prog-thing.tmp 2> /tmp/mondo.tmp.w7g8Ld/mondo-run-prog-thing.err



...ran with res=256 [Main] libmondo-tools.c->mount_boot_if_necessary#1427: Started sub

[Main] libmondo-tools.c->mount_boot_if_necessary#1428: About to set g_boot_mountpt[0] to '\0' [Main] libmondo-tools.c->mount_boot_if_necessary#1430: Done. Great. Seeting command to something [Main] libmondo-tools.c->mount_boot_if_necessary#1433: Cool. Command = 'grep -v ":" /etc/fstab | grep -vE '#.*$' | grep -E "[ ]/boot[ ]" | tr -s ' ' ' ' | cut -f1 | head -n1' [Main] libmondo-tools.c->mount_boot_if_necessary#1435: tmp =

[Main] libmondo-tools.c->mount_boot_if_necessary#1469: Ended sub [Main] libmondo-tools.c->get_kernel_version#413: g_kernel_version = 2.623000 running: rm -Rf /var/cache/mondo/changed.files* > /tmp/mondo.tmp.w7g8Ld/mondo-run-prog-thing.tmp 2> /tmp/mondo.tmp.w7g8Ld/mondo-run-prog-thing.err



...ran just fine. :-) Checking sanity of your Linux distribution running: grep ramdisk /proc/devices > /tmp/mondo.tmp.w7g8Ld/mondo-run-prog-thing.tmp 2> /tmp/mondo.tmp.w7g8Ld/mondo-run-prog-thing.err


1 ramdisk


...ran just fine. :-) running: mount | grep -w vfat | grep -vE "/dev/fd|nexdisk" > /tmp/mondo.tmp.w7g8Ld/mondo-run-prog-thing.tmp 2> /tmp/mondo.tmp.w7g8Ld/mondo-run-prog-thing.err



...ran with res=256 running: mount | grep -w dos | grep -vE "/dev/fd|nexdisk" > /tmp/mondo.tmp.w7g8Ld/mondo-run-prog-thing.tmp 2> /tmp/mondo.tmp.w7g8Ld/mondo-run-prog-thing.err



...ran with res=256

[Main] libmondo-files.c->find_home_of_exe#434: find_home_of_exe () --- Found cmp at /usr/bin/cmp

[Main] libmondo-tools.c->some_basic_system_sanity_checks#1224: Directory /etc/modprobe.d found. mindi will use its contents.

running: mindi -V > /tmp/mondo.tmp.w7g8Ld/mondo-run-prog-thing.tmp 2> /tmp/mondo.tmp.w7g8Ld/mondo-run-prog-thing.err


Mindi v2.0.0-r1766 modinfo: could not find module libata


...ran just fine. :-) running: parted2fdisk -l | grep -i raid > /tmp/mondo.tmp.w7g8Ld/mondo-run-prog-thing.tmp 2> /tmp/mondo.tmp.w7g8Ld/mondo-run-prog-thing.err



...ran with res=256 Done.

[Main] libmondo-devices.c->sensibly_set_tmpdir_and_scratchdir#2597: bkpinfo->tmpdir is being set to /lib/init/rw/mondo.tmp.exyEtz [Main] libmondo-devices.c->sensibly_set_tmpdir_and_scratchdir#2601: bkpinfo->scratchdir is being set to /lib/init/rw/mondo.scratch.24852

[Main] libmondo-files.c->find_home_of_exe#434: find_home_of_exe () --- Found afio at /bin/afio

[Main] mondo-cli.c->process_switches#718: WARNING ! /share doesn't exist running: touch /tmp/mondo.tmp.KScYQY/.foo.dat > /tmp/mondo.tmp.KScYQY/mondo-run-prog-thing.tmp 2> /tmp/mondo.tmp.KScYQY/mondo-run-prog-thing.err



...ran just fine. :-) running: ln -sf /tmp/mondo.tmp.KScYQY/.foo.dat /tmp/mondo.tmp.KScYQY/.bar.dat > /tmp/mondo.tmp.KScYQY/mondo-run-prog-thing.tmp 2> /tmp/mondo.tmp.KScYQY/mondo-run-prog-thing.err



...ran just fine. :-)

[Main] libmondo-devices.c->resolve_softlinks_to_get_to_actual_device_file#2997: resolved /dev/sda to /dev/sda

running: grep -Ei suse /etc/issue.net | grep -E '9.0' | grep 64 > /tmp/mondo.tmp.KScYQY/mondo-run-prog-thing.tmp 2> /tmp/mondo.tmp.KScYQY/mondo-run-prog-thing.err



...ran with res=256 running: which mkfs.vfat > /tmp/mondo.tmp.KScYQY/mondo-run-prog-thing.tmp 2> /tmp/mondo.tmp.KScYQY/mondo-run-prog-thing.err


/sbin/mkfs.vfat


...ran just fine. :-)

[Main] mondo-cli.c->handle_incoming_parameters#263: Switches:- [Main] mondo-cli.c->handle_incoming_parameters#267: -9 [Main] mondo-cli.c->handle_incoming_parameters#267: -E /tmp /var/backups /var/cache /var/log /usr/src /media /mnt /share /root/maroon-etc-apt /root/etc-apt-orig /root/mondo-install-files /root/mondo-install-files-ubu [Main] mondo-cli.c->handle_incoming_parameters#267: -H [Main] mondo-cli.c->handle_incoming_parameters#267: -O [Main] mondo-cli.c->handle_incoming_parameters#267: -S /tmp [Main] mondo-cli.c->handle_incoming_parameters#267: -T /tmp [Main] mondo-cli.c->handle_incoming_parameters#267: -U [Main] mondo-cli.c->handle_incoming_parameters#267: -d /dev/sdc [Main] mondo-cli.c->handle_incoming_parameters#267: -f /dev/sda [Main] mondo-cli.c->handle_incoming_parameters#267: -l GRUB [Main] mondo-cli.c->handle_incoming_parameters#267: -s 1200m

[Main] libmondo-tools.c->post_param_configuration#607: Foo

[Main] libmondo-tools.c->post_param_configuration#660: It doesn't seem you have enough swap to use tmpfs. Fine. [Main] libmondo-tools.c->post_param_configuration#885: Finished processing incoming params

BusyBox?'s sources are available from http://www.busybox.net

[Main] libmondo-filelist.c->prepare_filelist#1415: tmpdir=/tmp/mondo.tmp.KScYQY; scratchdir=/tmp/mondo.scratch.31532/mondo.scratch.65

Making catalog of files to be backed up running: cp -f /var/cache/mondo/difflevel.0.aborted /var/cache/mondo/difflevel.0 > /tmp/mondo.tmp.KScYQY/mondo-run-prog-thing.tmp 2> /tmp/mondo.tmp.KScYQY/mondo-run-prog-thing.err



...ran just fine. :-)

[Main] libmondo-filelist.c->mondo_makefilelist#1751: include_paths = '/'

[Main] libmondo-filelist.c->mondo_makefilelist#1752: Calculating filelist

[Main] libmondo-filelist.c->mondo_makefilelist#1757: Excluding paths = ' /var/cache/mondo /tmp /var/backups /var/cache /var/log /usr/src /media /mnt /share /root/maroon-etc-apt /root/etc-apt-orig /root/mondo-install-files /root/mondo-install-files-ubu /tmp/mondo.tmp.KScYQY /tmp/mondo.scratch.31532/mondo.scratch.65 . .. /mnt/cdrom /mnt/floppy /media /proc /sys /root/images/mondo /var/cache/mindi' [Main] libmondo-filelist.c->mondo_makefilelist#1759: Generating skeleton filelist so that we can track our progress

[Main] libmondo-filelist.c->mondo_makefilelist#1762: g_skeleton_entries = 0

[Main] libmondo-filelist.c->mondo_makefilelist#1763: Opening out filelist to /tmp/mondo.tmp.KScYQY/tmpfs/filelist.full

[Main] libmondo-filelist.c->mondo_makefilelist#1776: Including / in filelist /tmp/mondo.tmp.KScYQY/tmpfs/filelist.full Making catalog of /

Making catalog of /

[Main] libmondo-filelist.c->mondo_makefilelist#1787: Copying new filelist to scratchdir [Main] libmondo-filelist.c->mondo_makefilelist#1794: Freeing variables [Main] libmondo-filelist.c->mondo_makefilelist#1800: Exiting

Done. Dividing filelist into sets Dividing filelist into sets. Please wait.

[Main] libmondo-filelist.c->chop_filelist#363: filelist=/tmp/mondo.scratch.31532/mondo.scratch.65/archives/filelist.full;

Dividing filelist into sets

Dividing filelist into sets

[Main] libmondo-filelist.c->chop_filelist#374: outfname=/tmp/mondo.tmp.KScYQY/filelist.0; biggie_fname=/tmp/mondo.tmp.KScYQY/biggielist.txt

[Main] libmondo-filelist.c->chop_filelist#455: Filelist divided into 15 sets

[Main] libmondo-files.c->estimate_noof_media_required#1355: Estimating number of media required... [Main] libmondo-files.c->size_of_all_biggiefiles_K#899: Calculating size of all biggiefiles (in total) [Main] libmondo-files.c->size_of_all_biggiefiles_K#901: biggielist = /tmp/mondo.tmp.KScYQY/biggielist.txt

[Main] libmondo-files.c->size_of_all_biggiefiles_K#906: Reading it... [Main] libmondo-files.c->size_of_all_biggiefiles_K#931: /swapfile --> 512000 K [Main] libmondo-files.c->size_of_all_biggiefiles_K#936: After adding /swapfile, scratchL+512000 now equals 512000

[Main] libmondo-files.c->size_of_all_biggiefiles_K#942: Closing... [Main] libmondo-files.c->size_of_all_biggiefiles_K#944: Finished calculating total size of all biggiefiles

Your backup will probably occupy a single USB. Maybe two.

[Main] libmondo-filelist.c->call_filelist_chopper#232:

Done. running: gzip -9 /tmp/mondo.scratch.31532/mondo.scratch.65/archives/filelist.full > /tmp/mondo.tmp.KScYQY/mondo-run-prog-thing.tmp 2> /tmp/mondo.tmp.KScYQY/mondo-run-prog-thing.err



...ran just fine. :-) running: cp -f /tmp/mondo.scratch.31532/mondo.scratch.65/archives/*list*.gz /tmp/mondo.tmp.KScYQY > /tmp/mondo.tmp.KScYQY/mondo-run-prog-thing.tmp 2> /tmp/mondo.tmp.KScYQY/mondo-run-prog-thing.err



...ran just fine. :-) Copying Mondo's core files to the scratch directory

[Main] libmondo-files.c->copy_mondo_and_mindi_stuff_to_scratchdir#1152: g_mondo_home='/usr/share/mondo' [Main] libmondo-files.c->copy_mondo_and_mindi_stuff_to_scratchdir#1159: command = cp --parents -pRdf /usr/share/mondo /tmp/mondo.scratch.31532/mondo.scratch.65

running: cp --parents -pRdf /usr/share/mondo /tmp/mondo.scratch.31532/mondo.scratch.65 > /tmp/mondo.tmp.KScYQY/mondo-run-prog-thing.tmp 2> /tmp/mondo.tmp.KScYQY/mondo-run-prog-thing.err



...ran just fine. :-) running: cp -f /tmp/mondo.tmp.KScYQY/LAST-FILELIST-NUMBER /tmp/mondo.scratch.31532/mondo.scratch.65 > /tmp/mondo.tmp.KScYQY/mondo-run-prog-thing.tmp 2> /tmp/mondo.tmp.KScYQY/mondo-run-prog-thing.err



...ran just fine. :-) running: cp -f /usr/sbin/mondorestore /tmp/mondo.tmp.KScYQY > /tmp/mondo.tmp.KScYQY/mondo-run-prog-thing.tmp 2> /tmp/mondo.tmp.KScYQY/mondo-run-prog-thing.err



...ran just fine. :-) Done.

[Main] libmondo-files.c->figure_out_kernel_path_interactively_if_necessary#364: Calling Mindi with kernel path of '/boot/vmlinuz-2.6.23.1' [Main] libmondo-archive.c->call_mindi_to_supply_boot_disks#752: devs_to_exclude =

Calling MINDI to create boot+data disks Your boot loader is GRUB and it boots from /dev/sda

[Main] libmondo-files.c->size_of_all_biggiefiles_K#899: Calculating size of all biggiefiles (in total) [Main] libmondo-files.c->size_of_all_biggiefiles_K#901: biggielist = /tmp/mondo.tmp.KScYQY/biggielist.txt

[Main] libmondo-files.c->size_of_all_biggiefiles_K#906: Reading it... [Main] libmondo-files.c->size_of_all_biggiefiles_K#931: /swapfile --> 512000 K [Main] libmondo-files.c->size_of_all_biggiefiles_K#936: After adding /swapfile, scratchL+512000 now equals 512000

[Main] libmondo-files.c->size_of_all_biggiefiles_K#942: Closing... [Main] libmondo-files.c->size_of_all_biggiefiles_K#944: Finished calculating total size of all biggiefiles

[Main] libmondo-archive.c->call_mindi_to_supply_boot_disks#1032: lines_in_filelist = 20654

[Main] libmondo-archive.c->call_mindi_to_supply_boot_disks#1064: mindi --usb /dev/sdc --custom /tmp/mondo.tmp.KScYQY /tmp/mondo.scratch.31532/mondo.scratch.65/images '/boot/vmlinuz-2.6.23.1' 20654 'no' 'yes' 'yes' 14 32 'yes' 'no' 'no' 32768 0 'no'

Generating boot+data disks

Generating boot+data disks

[Main] libmondo-fork.c->run_program_and_log_to_screen#484: Executing mindi --usb /dev/sdc --custom /tmp/mondo.tmp.KScYQY /tmp/mondo.scratch.31532/mondo.scratch.65/images '/boot/vmlinuz-2.6.23.1' 20654 'no' 'yes' 'yes' 14 32 'yes' 'no' 'no' 32768 0 'no'

Waiting for external binary to start

[Main] libmondo-fork.c->run_program_and_log_to_screen#494: Waiting for lockfile /tmp/mondo.tmp.KScYQY/mojo-jojo.bla.bla to exist

modinfo: could not find module libata kernelname = 2.6.23.1 kernelpath = /boot/vmlinuz-2.6.23.1 Using modules for kernel: 2.6.23.1 Using modules for kernel: 2.6.23.1 Mindi-BusyBox? v1.7.2r1766 (2007-11-04 02:12:06 CET) multi-call binary Including the generation of a Bootable USB device on /dev/sdc Analyzing dependency requirements

4% - 8% \ 12% | 16% / 20% - 24% \ 28% | 32% / 36% - 40% \ 44% | 48% / 52% - 56% \ 60% | 64% / 68% - 72% \ 76% | 80% / 84% - 88% \ 92% | 96% / Done.

Making complete dependency list

1% - 2% \ 3% | 4% / 5% - 6% \ 8% | 9% / 10% - 11% \ 12% | 13% / 15% - 16% \ 17% | 18% / 19% - 20% \ 22% | 23% / 24% - 25% \ 26% | 27% / 29% - 30% \ 31% | 32% / 33% - 34% \ 36% | 37% / 38% - 39% \ 40% | 41% / 43% - 44% \ 45% | 46% / 47% - 48% \ 50% | 51% / 52% - 53% \ 54% | 55% / 56% - 58% \ 59% | 60% / 61% - 62% \ 63% | 65% / 66% - 67% \ 68% | 69% / 70% - 72% \ 73% | 74% / 75% - 76% \ 77% | 79% / 80% - 81% \ 82% | 83% / 84% - 86% \ 87% | 88% / 89% - 90% \ 91% | 93% / 94% - 95% \ 96% | 97% / 98% - 100% \

Done.

Analyzing your keyboard's configuration. Searching for rc.config ...Unknown config detected. Default keyboard map will be used. Assembling dependency files.........................................Backing up /dev/sda's MBR Creating /dev/boot_device (/dev/sda)

Done.

Dividing data into several groups....................

0% complete

0% complete

1% complete

1% complete

1% complete

2% complete

2% complete

2% complete

3% complete

3% complete

(2 disks)

4% complete

4% complete

4% complete

5% complete

5% complete

5% complete

6% complete

6% complete

7% complete

7% complete

7% complete

8% complete

(3 disks)

8% complete

8% complete

9% complete

9% complete

10% complete

10% complete

10% complete

11% complete

11% complete

11% complete

12% complete

12% complete

13% complete

13% complete

(4 disks)

13% complete

14% complete

14% complete

14% complete

15% complete

15% complete

16% complete

16% complete

16% complete

17% complete

17% complete

17% complete

18% complete

18% complete

19% complete

19% complete

19% complete

20% complete

20% complete

20% complete

21% complete

21% complete

22% complete

22% complete

22% complete

23% complete

23% complete

23% complete

24% complete

24% complete

25% complete

25% complete

25% complete

26% complete

26% complete

26% complete

27% complete

27% complete

27% complete

28% complete

28% complete

29% complete

29% complete

29% complete

30% complete

30% complete

30% complete

(5 disks)

31% complete

31% complete

32% complete

32% complete

32% complete

33% complete

33% complete

33% complete

34% complete

34% complete

35% complete

35% complete

35% complete

36% complete

36% complete

36% complete

37% complete

37% complete

38% complete

38% complete

38% complete

39% complete

39% complete

39% complete

40% complete

40% complete

41% complete

41% complete

41% complete

42% complete

42% complete

42% complete

43% complete

43% complete

44% complete

44% complete

44% complete

45% complete

45% complete

45% complete

46% complete

46% complete

47% complete

47% complete

47% complete

48% complete

48% complete

48% complete

49% complete

49% complete

50% complete

50% complete

50% complete

51% complete

51% complete

51% complete

52% complete

52% complete

52% complete

53% complete

53% complete

54% complete

54% complete

54% complete

55% complete

55% complete

55% complete

56% complete

56% complete

57% complete

57% complete

57% complete

58% complete

58% complete

58% complete

59% complete

59% complete

60% complete

60% complete

60% complete

61% complete

61% complete

61% complete

62% complete

62% complete

63% complete

63% complete

63% complete

64% complete

64% complete

64% complete

65% complete

65% complete

66% complete

66% complete

66% complete

67% complete

67% complete

67% complete

68% complete

68% complete

69% complete

69% complete

69% complete

70% complete

70% complete

70% complete

71% complete

71% complete

72% complete

72% complete

72% complete

73% complete

73% complete

73% complete

74% complete

74% complete

75% complete

75% complete

75% complete

76% complete

76% complete

76% complete

77% complete

77% complete

77% complete

78% complete

78% complete

79% complete

79% complete

79% complete

80% complete

80% complete

80% complete

81% complete

81% complete

82% complete

82% complete

82% complete

83% complete

83% complete

83% complete

84% complete

84% complete

85% complete

85% complete

85% complete

86% complete

86% complete

86% complete

87% complete

87% complete

88% complete

88% complete

88% complete

89% complete

89% complete

89% complete

90% complete

90% complete

91% complete

91% complete

91% complete

92% complete

92% complete

92% complete

93% complete

93% complete

94% complete

94% complete

94% complete

95% complete

95% complete

95% complete

96% complete

96% complete

97% complete

97% complete

97% complete

98% complete

98% complete

98% complete

99% complete

99% complete

100% complete

The files have been subdivided into 5 directories. Your mountlist will look like this:

Hang on...

Analyzing LVM...

DEVICE MOUNTPOINT FORMAT SIZE (MB) LABEL/UUID

/usr/sbin/mindi: line 945: /etc/raidtab: No such file or directory

/dev/md1 / ext3 0

Tarring and zipping the groups..................

Done.

Creating data disk #1...#2...#3...#4...#5...

Done.

Making 1722KB boot disk...............udev device manager found cp: cannot stat `/sbin/udevstart': No such file or directory No Hardware support for To Be Filled By O.E.M. Ask your manufacturer to contribute to the mindi project ......9437 blocks ......Failed to copy /tmp/mondo.tmp.KScYQY/mindi.rdz to /tmp/mondo.tmp.KScYQY/mountpoint.7691 cat: /tmp/mondo.tmp.KScYQY/mtpt.7691: No such file or directory Please unload some of your modules and try again. Cannot incorporate mindi.rdz in bootdisk (kernel / modules too big?) mkdir: cannot create directory `/tmp/mondo.tmp.KScYQY/mountpoint.7691/tmp': No space left on device Failed to copy /boot/vmlinuz-2.6.23.1 to ramdisk WARNING - failed to create 1.44MB boot/root floppies WARNING - failed to create 1.72MB boot image. Please reduce your kernel's size if you want to make a 1.72MB floppy disk. Making 2880KB boot disk...............udev device manager found cp: cannot stat `/sbin/udevstart': No such file or directory No Hardware support for To Be Filled By O.E.M. Ask your manufacturer to contribute to the mindi project ......9437 blocks ......Failed to copy /boot/vmlinuz-2.6.23.1 to ramdisk WARNING - failed to create 1.44MB boot/root floppies WARNING - failed to create 2.88MB floppy disk image. Please reduce your kernel's size if you want to make a 2.88MB floppy disk. Making 8192KB boot disk...............udev device manager found cp: cannot stat `/sbin/udevstart': No such file or directory No Hardware support for To Be Filled By O.E.M. Ask your manufacturer to contribute to the mindi project ......9437 blocks ............

Done.

... 8192 KB boot disks were created OK

Transforming /dev/sdc in a Bootable device .../dev/sdc1: No such file or directory Unable to create a vfat filesystem on /dev/sdc1 Make sure your USB device is pluged in and partitioned (/dev/sdc1 must exist on it)

Disk /dev/sdc: 1998 MB, 1998585856 bytes 64 heads, 32 sectors/track, 1906 cylinders Units = cylinders of 2048 * 512 = 1048576 bytes Disk identifier: 0x18d31b10

Device Boot Start End Blocks Id System

/dev/sdc1 * 1 1 0 0 Empty Partition 1 does not end on cylinder boundary. /dev/sdc2 716 1906 1219072 b W95 FAT32


mindi v2.0.0-r1766 i686 architecture detected mindi called with the following arguments: --usb /dev/sdc --custom /tmp/mondo.tmp.KScYQY /tmp/mondo.scratch.31532/mondo.scratch.65/images /boot/vmlinuz-2.6.23.1 20654 no yes yes 14 32 yes no no 32768 0 no Start date : Sun Nov 4 13:03:07 MST 2007


MINDI_LIB = /usr/lib/mindi MINDI_SBIN = /usr/sbin MINDI_CONF = /etc/mindi MONDO_SHARE = /usr/share/mondo Found isolinux.bin at /usr/lib/syslinux/isolinux.bin LVM set to v2


df result:


Filesystem Type 1K-blocks Used Available Use% Mounted on /dev/md1 ext3 10096112 974848 8608400 11% / tmpfs tmpfs 517476 0 517476 0% /lib/init/rw udev tmpfs 10240 100 10140 1% /dev tmpfs tmpfs 517476 0 517476 0% /dev/shm


mount result:


/dev/md1 on / type ext3 (rw,errors=remount-ro) tmpfs on /lib/init/rw type tmpfs (rw,nosuid,mode=0755) proc on /proc type proc (rw,noexec,nosuid,nodev) sysfs on /sys type sysfs (rw,noexec,nosuid,nodev) procbususb on /proc/bus/usb type usbfs (rw) udev on /dev type tmpfs (rw,mode=0755) tmpfs on /dev/shm type tmpfs (rw,nosuid,nodev) devpts on /dev/pts type devpts (rw,noexec,nosuid,gid=5,mode=620)



cat /proc/cmdline:


root=/dev/md1 ro


lsmod result:


Module Size Used by nls_iso8859_1 4480 0 nls_cp437 6080 0 ext2 58376 0 ac 5828 0 battery 12552 0 ipv6 236924 10 dm_snapshot 17188 0 dm_mirror 21952 0 loop 17348 0 tsdev 8384 0 psmouse 36368 0 parport_pc 33496 0 parport 34312 1 parport_pc serio_raw 7044 0 iTCO_wdt 11364 0 i2c_i801 9424 0 i2c_core 23488 1 i2c_i801 pcspkr 3456 0 rtc 13080 0 sky2 42756 0 button 8528 0 evdev 9792 0 sg 32540 0 ide_generic 1600 0 [permanent] ide_core 113284 1 ide_generic e100 34060 0 mii 5632 1 e100 floppy 54644 0 thermal 15772 0 processor 34696 1 thermal fan 5380 0


Liste of extra modules is: ht st osst ide-tape ide_tape ide-floppy floppy ide ide-generic ide-detect ide-mod ide-disk ide-cd ide_cd ide-cs ide-core ide_core edd paride ata_generic ata_piix libata via82cxxx generic nvidia ahci sata_nv cmd64x pata_amd pata_marvell af_packet cdrom isocd isofs inflate_fs nls_iso8859-1 nls_cp437 sg sr_mod zlib_inflate usb-storage usb-ohci usb-uhci usbcore usb_storage input hid uhci_hcd ehci_hcd uhci-hcd ehci-hcd ohci-hcd ohci_hcd usbkbd usbhid keybdev mousedev libusual pcmcia_core ds yenta_socket vfat fat loop md-mod linear raid0 raid1 xor raid5 raid456 lvm-mod dm-mod dm-snapshot dm-zero dm-mirror jfs xfs xfs_support pagebuf reiserfs ext2 ext3 minix nfs nfs_acl nfsd lockd sunrpc jbd mbcache


kernelname = 2.6.23.1 kernelpath = /boot/vmlinuz-2.6.23.1 Using modules for kernel: 2.6.23.1 Using modules for kernel: 2.6.23.1 You are using Mindi-Linux v2.0.0-r1766 to make boot+data disks Mindi-BusyBox? v1.7.2r1766 (2007-11-04 02:12:06 CET) multi-call binary insmod: can't read '/lib/modules/2.6.23.1/*/*/misc/aes.*o.gz': No such file or directory insmod: can't read 'loop': No such file or directory insmod: can't read 'cdrom': No such file or directory insmod: can't read 'ide-cd': No such file or directory insmod: can't read 'isofs': No such file or directory insmod: can't read 'linear': No such file or directory insmod: can't read 'raid0': No such file or directory insmod: can't read 'raid1': No such file or directory insmod: can't read 'raid5': No such file or directory DIFFERENTIAL = 0 INTERNAL TAPE BLOCK SIZE = 32768 NOT_BOOT = 'no' Including the generation of a Bootable USB device on /dev/sdc Mindi's temp dir = /tmp/mondo.tmp.KScYQY Mindi's output dir=/tmp/mondo.scratch.31532/mondo.scratch.65/images WARNING - /etc/mdadm.conf does not exist; cannot be LDD'd. /sbin/lsmod is softlink /sbin/lvchange is softlink /sbin/lvcreate is softlink /sbin/lvdisplay is softlink /sbin/lvextend is softlink /sbin/lvmchange is softlink /sbin/lvmdiskscan is softlink /sbin/lvmsadc is softlink /sbin/lvmsar is softlink /sbin/lvreduce is softlink /sbin/lvremove is softlink /sbin/lvrename is softlink /sbin/lvscan is softlink /sbin/mkfs.vfat is softlink /sbin/pvchange is softlink /sbin/pvcreate is softlink /sbin/pvdisplay is softlink /sbin/pvmove is softlink /sbin/pvscan is softlink /sbin/vgcfgbackup is softlink /sbin/vgcfgrestore is softlink /sbin/vgchange is softlink /sbin/vgck is softlink /sbin/vgcreate is softlink /sbin/vgdisplay is softlink /sbin/vgexport is softlink /sbin/vgextend is softlink /sbin/vgimport is softlink /sbin/vgmerge is softlink /sbin/vgmknodes is softlink /sbin/vgreduce is softlink /sbin/vgremove is softlink /sbin/vgrename is softlink /sbin/vgscan is softlink /sbin/vgsplit is softlink WARNING - /usr/share/misc/file/magic does not exist; cannot be LDD'd. module nls_iso8859_1 --> module nls_cp437 --> /lib/modules/2.6.23.1/kernel/fs/nls/nls_cp437.ko module ext2 --> /lib/modules/2.6.23.1/kernel/fs/ext2/ext2.ko module ac --> /lib/modules/2.6.23.1/kernel/drivers/acpi/ac.ko module battery --> /lib/modules/2.6.23.1/kernel/drivers/acpi/battery.ko module ipv6 --> /lib/modules/2.6.23.1/kernel/net/ipv6/ipv6.ko module dm_snapshot --> module dm_mirror --> module loop --> /lib/modules/2.6.23.1/kernel/drivers/block/loop.ko module tsdev --> /lib/modules/2.6.23.1/kernel/drivers/input/tsdev.ko module psmouse --> /lib/modules/2.6.23.1/kernel/drivers/input/mouse/psmouse.ko module parport_pc --> /lib/modules/2.6.23.1/kernel/drivers/parport/parport_pc.ko module parport --> /lib/modules/2.6.23.1/kernel/drivers/parport/parport.ko module serio_raw --> /lib/modules/2.6.23.1/kernel/drivers/input/serio/serio_raw.ko module iTCO_wdt --> /lib/modules/2.6.23.1/kernel/drivers/char/watchdog/iTCO_wdt.ko module i2c_i801 --> module i2c_core --> module pcspkr --> /lib/modules/2.6.23.1/kernel/drivers/input/misc/pcspkr.ko module rtc --> /lib/modules/2.6.23.1/kernel/drivers/char/rtc.ko module sky2 --> /lib/modules/2.6.23.1/kernel/drivers/net/sky2.ko module button --> /lib/modules/2.6.23.1/kernel/drivers/acpi/button.ko module evdev --> /lib/modules/2.6.23.1/kernel/drivers/input/evdev.ko module sg --> /lib/modules/2.6.23.1/kernel/drivers/scsi/sg.ko module ide_generic --> module ide_core --> module e100 --> /lib/modules/2.6.23.1/kernel/drivers/net/e100.ko module mii --> /lib/modules/2.6.23.1/kernel/drivers/net/mii.ko module floppy --> /lib/modules/2.6.23.1/kernel/drivers/block/floppy.ko module thermal --> /lib/modules/2.6.23.1/kernel/drivers/acpi/thermal.ko module processor --> /lib/modules/2.6.23.1/kernel/drivers/acpi/processor.ko module fan --> /lib/modules/2.6.23.1/kernel/drivers/acpi/fan.ko module ht --> module st --> /lib/modules/2.6.23.1/kernel/drivers/scsi/st.ko module osst --> /lib/modules/2.6.23.1/kernel/drivers/scsi/osst.ko module ide-tape --> /lib/modules/2.6.23.1/kernel/drivers/ide/ide-tape.ko module ide_tape --> module ide-floppy --> /lib/modules/2.6.23.1/kernel/drivers/ide/ide-floppy.ko module floppy --> /lib/modules/2.6.23.1/kernel/drivers/block/floppy.ko module ide --> module ide-generic --> /lib/modules/2.6.23.1/kernel/drivers/ide/ide-generic.ko module ide-detect --> module ide-mod --> module ide-disk --> /lib/modules/2.6.23.1/kernel/drivers/ide/ide-disk.ko module ide-cd --> /lib/modules/2.6.23.1/kernel/drivers/ide/ide-cd.ko module ide_cd --> module ide-cs --> /lib/modules/2.6.23.1/kernel/drivers/ide/legacy/ide-cs.ko module ide-core --> /lib/modules/2.6.23.1/kernel/drivers/ide/ide-core.ko module ide_core --> module edd --> /lib/modules/2.6.23.1/kernel/drivers/firmware/edd.ko module paride --> /lib/modules/2.6.23.1/kernel/drivers/block/paride/paride.ko module ata_generic --> /lib/modules/2.6.23.1/kernel/drivers/ata/ata_generic.ko module ata_piix --> module libata --> module via82cxxx --> /lib/modules/2.6.23.1/kernel/drivers/ide/pci/via82cxxx.ko module generic --> /lib/modules/2.6.23.1/kernel/drivers/ide/pci/generic.ko module nvidia --> module ahci --> module sata_nv --> /lib/modules/2.6.23.1/kernel/drivers/ata/sata_nv.ko module cmd64x --> /lib/modules/2.6.23.1/kernel/drivers/ide/pci/cmd64x.ko module pata_amd --> module pata_marvell --> /lib/modules/2.6.23.1/kernel/drivers/ata/pata_marvell.ko module af_packet --> module cdrom --> module isocd --> module isofs --> /lib/modules/2.6.23.1/kernel/fs/isofs/isofs.ko module inflate_fs --> module nls_iso8859-1 --> /lib/modules/2.6.23.1/kernel/fs/nls/nls_iso8859-1.ko module nls_cp437 --> /lib/modules/2.6.23.1/kernel/fs/nls/nls_cp437.ko module sg --> /lib/modules/2.6.23.1/kernel/drivers/scsi/sg.ko module sr_mod --> module zlib_inflate --> module usb-storage --> module usb-ohci --> module usb-uhci --> module usbcore --> module usb_storage --> module input --> module hid --> /lib/modules/2.6.23.1/kernel/drivers/hid/hid.ko module uhci_hcd --> module ehci_hcd --> module uhci-hcd --> module ehci-hcd --> module ohci-hcd --> module ohci_hcd --> module usbkbd --> /lib/modules/2.6.23.1/kernel/drivers/hid/usbhid/usbkbd.ko module usbhid --> /lib/modules/2.6.23.1/kernel/drivers/hid/usbhid/usbhid.ko module keybdev --> module mousedev --> module libusual --> module pcmcia_core --> /lib/modules/2.6.23.1/kernel/drivers/pcmcia/pcmcia_core.ko module ds --> module yenta_socket --> /lib/modules/2.6.23.1/kernel/drivers/pcmcia/yenta_socket.ko module vfat --> module fat --> module loop --> /lib/modules/2.6.23.1/kernel/drivers/block/loop.ko module md-mod --> module linear --> module raid0 --> module raid1 --> module xor --> module raid5 --> module raid456 --> module lvm-mod --> module dm-mod --> module dm-snapshot --> /lib/modules/2.6.23.1/kernel/drivers/md/dm-snapshot.ko module dm-zero --> /lib/modules/2.6.23.1/kernel/drivers/md/dm-zero.ko module dm-mirror --> /lib/modules/2.6.23.1/kernel/drivers/md/dm-mirror.ko module jfs --> module xfs --> module xfs_support --> module pagebuf --> module reiserfs --> /lib/modules/2.6.23.1/kernel/fs/reiserfs/reiserfs.ko module ext2 --> /lib/modules/2.6.23.1/kernel/fs/ext2/ext2.ko module ext3 --> module minix --> /lib/modules/2.6.23.1/kernel/fs/minix/minix.ko module nfs --> /lib/modules/2.6.23.1/kernel/fs/nfs/nfs.ko module nfs_acl --> /lib/modules/2.6.23.1/kernel/fs/nfs_common/nfs_acl.ko module nfsd --> /lib/modules/2.6.23.1/kernel/fs/nfsd/nfsd.ko module lockd --> /lib/modules/2.6.23.1/kernel/fs/lockd/lockd.ko module sunrpc --> /lib/modules/2.6.23.1/kernel/net/sunrpc/sunrpc.ko module jbd --> module mbcache --> Analyzing your keyboard's configuration. Unknown config detected. Default keyboard map will be used. Stripped binary -/lib/libc-2.6.1.so- Stripped binary -/sbin/lvm- Stripped binary -/usr/bin/perl- Backing up /dev/sda's MBR 1+0 records in 1+0 records out 446 bytes (446 B) copied, 0.0177457 seconds, 25.1 kB/s Creating /dev/boot_device (/dev/sda) Copying dev/* to /tmp/mondo.tmp.KScYQY/minidir/1 disk=1 siz=1318 disk=2 siz=1394 disk=3 siz=1338 disk=4 siz=1312 Your raw fstab file looks like this:


# /etc/fstab: static file system information. # # <file system> <mount point> <type> <options> <dump> <pass> proc /proc proc defaults 0 0 /dev/md1 / ext3 defaults,errors=remount-ro 0 1 /swapfile none swap sw 0 0 /dev/scd0 /media/cdrom0 udf,iso9660 user,noauto 0 0 /dev/fd0 /media/floppy0 auto rw,user,noauto 0 0 Your mountlist will look like this:


DEVICE MOUNTPOINT FORMAT SIZE (MB) LABEL/UUID

Unable to open proc Examining /dev/md1 (mount=/ fmt=ext3 psz=-1)

/dev/md1 / ext3 0

BLKGETSIZE ioctl failed on /swapfile /dev/md1 / ext3 -1 Creating ext2 filesystem on /tmp/mondo.scratch.31532/mondo.scratch.65/images/mindi-data-1.img mke2fs 1.40.2 (12-Jul-2007) Filesystem label= OS type: Linux Block size=1024 (log=0) Fragment size=1024 (log=0) 16 inodes, 1440 blocks 72 blocks (5.00%) reserved for the super user First data block=1 Maximum filesystem blocks=1572864 1 block group 8192 blocks per group, 8192 fragments per group 16 inodes per group

Writing inode tables: 0/1done Writing superblocks and filesystem accounting information: done

This filesystem will be automatically checked every 31 mounts or 180 days, whichever comes first. Use tune2fs -c or -i to override. Creating ext2 filesystem on /tmp/mondo.scratch.31532/mondo.scratch.65/images/mindi-data-2.img mke2fs 1.40.2 (12-Jul-2007) Filesystem label= OS type: Linux Block size=1024 (log=0) Fragment size=1024 (log=0) 16 inodes, 1440 blocks 72 blocks (5.00%) reserved for the super user First data block=1 Maximum filesystem blocks=1572864 1 block group 8192 blocks per group, 8192 fragments per group 16 inodes per group

Writing inode tables: 0/1done Writing superblocks and filesystem accounting information: done

This filesystem will be automatically checked every 35 mounts or 180 days, whichever comes first. Use tune2fs -c or -i to override. Creating ext2 filesystem on /tmp/mondo.scratch.31532/mondo.scratch.65/images/mindi-data-3.img mke2fs 1.40.2 (12-Jul-2007) Filesystem label= OS type: Linux Block size=1024 (log=0) Fragment size=1024 (log=0) 16 inodes, 1440 blocks 72 blocks (5.00%) reserved for the super user First data block=1 Maximum filesystem blocks=1572864 1 block group 8192 blocks per group, 8192 fragments per group 16 inodes per group

Writing inode tables: 0/1done Writing superblocks and filesystem accounting information: done

This filesystem will be automatically checked every 37 mounts or 180 days, whichever comes first. Use tune2fs -c or -i to override. Creating ext2 filesystem on /tmp/mondo.scratch.31532/mondo.scratch.65/images/mindi-data-4.img mke2fs 1.40.2 (12-Jul-2007) Filesystem label= OS type: Linux Block size=1024 (log=0) Fragment size=1024 (log=0) 16 inodes, 1440 blocks 72 blocks (5.00%) reserved for the super user First data block=1 Maximum filesystem blocks=1572864 1 block group 8192 blocks per group, 8192 fragments per group 16 inodes per group

Writing inode tables: 0/1done Writing superblocks and filesystem accounting information: done

This filesystem will be automatically checked every 35 mounts or 180 days, whichever comes first. Use tune2fs -c or -i to override. Creating ext2 filesystem on /tmp/mondo.scratch.31532/mondo.scratch.65/images/mindi-data-5.img mke2fs 1.40.2 (12-Jul-2007) Filesystem label= OS type: Linux Block size=1024 (log=0) Fragment size=1024 (log=0) 16 inodes, 1440 blocks 72 blocks (5.00%) reserved for the super user First data block=1 Maximum filesystem blocks=1572864 1 block group 8192 blocks per group, 8192 fragments per group 16 inodes per group

Writing inode tables: 0/1done Writing superblocks and filesystem accounting information: done

This filesystem will be automatically checked every 38 mounts or 180 days, whichever comes first. Use tune2fs -c or -i to override. 1172 /tmp/mondo.scratch.31532/mondo.scratch.65/images/1.tar.gz 1224 /tmp/mondo.scratch.31532/mondo.scratch.65/images/2.tar.gz 1220 /tmp/mondo.scratch.31532/mondo.scratch.65/images/3.tar.gz 1284 /tmp/mondo.scratch.31532/mondo.scratch.65/images/4.tar.gz 324 /tmp/mondo.scratch.31532/mondo.scratch.65/images/5.tar.gz 5304 /tmp/mondo.scratch.31532/mondo.scratch.65/images/all.tar.gz Ramdisk will be 36864 KB Creating ext2 filesystem on /tmp/mondo.tmp.KScYQY/temp.rd mke2fs 1.40.2 (12-Jul-2007) Filesystem label= OS type: Linux Block size=1024 (log=0) Fragment size=1024 (log=0) 18440 inodes, 36864 blocks 368 blocks (1.00%) reserved for the super user First data block=1 Maximum filesystem blocks=37748736 5 block groups 8192 blocks per group, 8192 fragments per group 3688 inodes per group Superblock backups stored on blocks:

8193, 24577

Writing inode tables: 0/51/52/53/54/5done Writing superblocks and filesystem accounting information: done

This filesystem will be automatically checked every 28 mounts or 180 days, whichever comes first. Use tune2fs -c or -i to override. udev device manager found WARNING - /sbin/udevstart does not exist; cannot be LDD'd. No Hardware support for To Be Filled By O.E.M. Ask your manufacturer to contribute to the mindi project Replace line 648 of sbin/init with user-specified line, 'ide-opt' /lib/modules/2.6.23.1/kernel/fs/nls/nls_cp437.ko added to module list. /lib/modules/2.6.23.1/kernel/fs/ext2/ext2.ko added to module list. /lib/modules/2.6.23.1/kernel/drivers/acpi/ac.ko added to module list. /lib/modules/2.6.23.1/kernel/drivers/acpi/battery.ko added to module list. /lib/modules/2.6.23.1/kernel/net/ipv6/ipv6.ko added to module list. /lib/modules/2.6.23.1/kernel/drivers/block/loop.ko added to module list. /lib/modules/2.6.23.1/kernel/drivers/input/tsdev.ko added to module list. /lib/modules/2.6.23.1/kernel/drivers/input/mouse/psmouse.ko added to module list. /lib/modules/2.6.23.1/kernel/drivers/parport/parport_pc.ko added to module list. /lib/modules/2.6.23.1/kernel/drivers/parport/parport.ko added to module list. /lib/modules/2.6.23.1/kernel/drivers/input/serio/serio_raw.ko added to module list. /lib/modules/2.6.23.1/kernel/drivers/char/watchdog/iTCO_wdt.ko added to module list. /lib/modules/2.6.23.1/kernel/drivers/input/misc/pcspkr.ko added to module list. /lib/modules/2.6.23.1/kernel/drivers/char/rtc.ko added to module list. /lib/modules/2.6.23.1/kernel/drivers/net/sky2.ko added to module list. /lib/modules/2.6.23.1/kernel/drivers/acpi/button.ko added to module list. /lib/modules/2.6.23.1/kernel/drivers/input/evdev.ko added to module list. /lib/modules/2.6.23.1/kernel/drivers/scsi/sg.ko added to module list. /lib/modules/2.6.23.1/kernel/drivers/net/e100.ko added to module list. /lib/modules/2.6.23.1/kernel/drivers/net/mii.ko added to module list. /lib/modules/2.6.23.1/kernel/drivers/block/floppy.ko added to module list. /lib/modules/2.6.23.1/kernel/drivers/acpi/thermal.ko added to module list. /lib/modules/2.6.23.1/kernel/drivers/acpi/processor.ko added to module list. /lib/modules/2.6.23.1/kernel/drivers/acpi/fan.ko added to module list. /lib/modules/2.6.23.1/kernel/drivers/scsi/st.ko added to module list. /lib/modules/2.6.23.1/kernel/drivers/scsi/osst.ko added to module list. /lib/modules/2.6.23.1/kernel/drivers/ide/ide-tape.ko added to module list. /lib/modules/2.6.23.1/kernel/drivers/ide/ide-floppy.ko added to module list. /lib/modules/2.6.23.1/kernel/drivers/block/floppy.ko added to module list. /lib/modules/2.6.23.1/kernel/drivers/ide/ide-generic.ko added to module list. /lib/modules/2.6.23.1/kernel/drivers/ide/ide-disk.ko added to module list. /lib/modules/2.6.23.1/kernel/drivers/ide/ide-cd.ko added to module list. /lib/modules/2.6.23.1/kernel/drivers/ide/legacy/ide-cs.ko added to module list. /lib/modules/2.6.23.1/kernel/drivers/ide/ide-core.ko added to module list. /lib/modules/2.6.23.1/kernel/drivers/firmware/edd.ko added to module list. /lib/modules/2.6.23.1/kernel/drivers/block/paride/paride.ko added to module list. /lib/modules/2.6.23.1/kernel/drivers/ata/ata_generic.ko added to module list. /lib/modules/2.6.23.1/kernel/drivers/ide/pci/via82cxxx.ko added to module list. /lib/modules/2.6.23.1/kernel/drivers/ide/pci/generic.ko added to module list. /lib/modules/2.6.23.1/kernel/drivers/ata/sata_nv.ko added to module list. /lib/modules/2.6.23.1/kernel/drivers/ide/pci/cmd64x.ko added to module list. /lib/modules/2.6.23.1/kernel/drivers/ata/pata_marvell.ko added to module list. /lib/modules/2.6.23.1/kernel/fs/isofs/isofs.ko added to module list. /lib/modules/2.6.23.1/kernel/fs/nls/nls_iso8859-1.ko added to module list. /lib/modules/2.6.23.1/kernel/fs/nls/nls_cp437.ko added to module list. /lib/modules/2.6.23.1/kernel/drivers/scsi/sg.ko added to module list. /lib/modules/2.6.23.1/kernel/drivers/hid/hid.ko added to module list. /lib/modules/2.6.23.1/kernel/drivers/hid/usbhid/usbkbd.ko added to module list. /lib/modules/2.6.23.1/kernel/drivers/hid/usbhid/usbhid.ko added to module list. /lib/modules/2.6.23.1/kernel/drivers/pcmcia/pcmcia_core.ko added to module list. /lib/modules/2.6.23.1/kernel/drivers/pcmcia/yenta_socket.ko added to module list. /lib/modules/2.6.23.1/kernel/drivers/block/loop.ko added to module list. /lib/modules/2.6.23.1/kernel/drivers/md/dm-snapshot.ko added to module list. /lib/modules/2.6.23.1/kernel/drivers/md/dm-zero.ko added to module list. /lib/modules/2.6.23.1/kernel/drivers/md/dm-mirror.ko added to module list. /lib/modules/2.6.23.1/kernel/fs/reiserfs/reiserfs.ko added to module list. /lib/modules/2.6.23.1/kernel/fs/ext2/ext2.ko added to module list. /lib/modules/2.6.23.1/kernel/fs/minix/minix.ko added to module list. /lib/modules/2.6.23.1/kernel/fs/nfs/nfs.ko added to module list. /lib/modules/2.6.23.1/kernel/fs/nfs_common/nfs_acl.ko added to module list. /lib/modules/2.6.23.1/kernel/fs/nfsd/nfsd.ko added to module list. /lib/modules/2.6.23.1/kernel/fs/lockd/lockd.ko added to module list. /lib/modules/2.6.23.1/kernel/net/sunrpc/sunrpc.ko added to module list. Adding lib/modules/2.6.23.1/kernel/drivers/ide/ide-floppy.ko (24 KB) to the rootfs Adding lib/modules/2.6.23.1/kernel/drivers/block/floppy.ko (76 KB) to the rootfs Adding lib/modules/2.6.23.1/kernel/drivers/ide/ide-generic.ko (4 KB) to the rootfs Adding lib/modules/2.6.23.1/kernel/drivers/ide/ide-disk.ko (20 KB) to the rootfs Adding lib/modules/2.6.23.1/kernel/drivers/ide/ide-cd.ko (44 KB) to the rootfs Adding lib/modules/2.6.23.1/kernel/drivers/ide/legacy/ide-cs.ko (16 KB) to the rootfs Adding lib/modules/2.6.23.1/kernel/drivers/ide/ide-core.ko (120 KB) to the rootfs Adding lib/modules/2.6.23.1/kernel/drivers/firmware/edd.ko (16 KB) to the rootfs Adding lib/modules/2.6.23.1/kernel/drivers/block/paride/paride.ko (12 KB) to the rootfs Adding lib/modules/2.6.23.1/kernel/drivers/ata/ata_generic.ko (12 KB) to the rootfs Adding lib/modules/2.6.23.1/kernel/drivers/ide/pci/via82cxxx.ko (12 KB) to the rootfs Adding lib/modules/2.6.23.1/kernel/drivers/ide/pci/generic.ko (8 KB) to the rootfs Adding lib/modules/2.6.23.1/kernel/drivers/ata/sata_nv.ko (24 KB) to the rootfs Adding lib/modules/2.6.23.1/kernel/drivers/ide/pci/cmd64x.ko (12 KB) to the rootfs Adding lib/modules/2.6.23.1/kernel/drivers/ata/pata_marvell.ko (12 KB) to the rootfs Adding lib/modules/2.6.23.1/kernel/fs/isofs/isofs.ko (36 KB) to the rootfs Adding lib/modules/2.6.23.1/kernel/drivers/scsi/sg.ko (40 KB) to the rootfs Adding lib/modules/2.6.23.1/kernel/drivers/scsi/st.ko (44 KB) to the rootfs Adding lib/modules/2.6.23.1/kernel/drivers/scsi/osst.ko (60 KB) to the rootfs Adding lib/modules/2.6.23.1/kernel/drivers/ide/ide-tape.ko (40 KB) to the rootfs Adding lib/modules/2.6.23.1/kernel/drivers/ide/ide-floppy.ko (24 KB) to the rootfs Adding lib/modules/2.6.23.1/kernel/drivers/block/floppy.ko (76 KB) to the rootfs Adding lib/modules/2.6.23.1/kernel/drivers/ide/ide-generic.ko (4 KB) to the rootfs Adding lib/modules/2.6.23.1/kernel/drivers/ide/ide-disk.ko (20 KB) to the rootfs Adding lib/modules/2.6.23.1/kernel/drivers/ide/ide-cd.ko (44 KB) to the rootfs Adding lib/modules/2.6.23.1/kernel/drivers/ide/legacy/ide-cs.ko (16 KB) to the rootfs Adding lib/modules/2.6.23.1/kernel/drivers/ide/ide-core.ko (120 KB) to the rootfs Adding lib/modules/2.6.23.1/kernel/drivers/firmware/edd.ko (16 KB) to the rootfs Adding lib/modules/2.6.23.1/kernel/drivers/block/paride/paride.ko (12 KB) to the rootfs Adding lib/modules/2.6.23.1/kernel/drivers/ata/ata_generic.ko (12 KB) to the rootfs Adding lib/modules/2.6.23.1/kernel/drivers/ide/pci/via82cxxx.ko (12 KB) to the rootfs Adding lib/modules/2.6.23.1/kernel/drivers/ide/pci/generic.ko (8 KB) to the rootfs Adding lib/modules/2.6.23.1/kernel/drivers/ata/sata_nv.ko (24 KB) to the rootfs Adding lib/modules/2.6.23.1/kernel/drivers/ide/pci/cmd64x.ko (12 KB) to the rootfs Adding lib/modules/2.6.23.1/kernel/drivers/ata/pata_marvell.ko (12 KB) to the rootfs Adding lib/modules/2.6.23.1/kernel/fs/isofs/isofs.ko (36 KB) to the rootfs Adding lib/modules/2.6.23.1/kernel/fs/nls/nls_iso8859-1.ko (8 KB) to the rootfs Adding lib/modules/2.6.23.1/kernel/fs/nls/nls_cp437.ko (8 KB) to the rootfs Adding lib/modules/2.6.23.1/kernel/drivers/scsi/sg.ko (40 KB) to the rootfs Adding lib/modules/2.6.23.1/kernel/drivers/hid/hid.ko (32 KB) to the rootfs Adding lib/modules/2.6.23.1/kernel/drivers/hid/usbhid/usbkbd.ko (12 KB) to the rootfs Adding lib/modules/2.6.23.1/kernel/drivers/hid/usbhid/usbhid.ko (36 KB) to the rootfs Adding lib/modules/2.6.23.1/kernel/drivers/pcmcia/pcmcia_core.ko (44 KB) to the rootfs Adding lib/modules/2.6.23.1/kernel/drivers/pcmcia/yenta_socket.ko (32 KB) to the rootfs Adding lib/modules/2.6.23.1/kernel/drivers/block/loop.ko (24 KB) to the rootfs Adding lib/modules/2.6.23.1/kernel/drivers/md/dm-snapshot.ko (24 KB) to the rootfs Adding lib/modules/2.6.23.1/kernel/drivers/md/dm-zero.ko (4 KB) to the rootfs Adding lib/modules/2.6.23.1/kernel/drivers/md/dm-mirror.ko (28 KB) to the rootfs Adding lib/modules/2.6.23.1/kernel/fs/reiserfs/reiserfs.ko (224 KB) to the rootfs Adding lib/modules/2.6.23.1/kernel/fs/ext2/ext2.ko (76 KB) to the rootfs Adding lib/modules/2.6.23.1/kernel/fs/minix/minix.ko (36 KB) to the rootfs Adding lib/modules/2.6.23.1/kernel/fs/nfs/nfs.ko (284 KB) to the rootfs Adding lib/modules/2.6.23.1/kernel/fs/nfs_common/nfs_acl.ko (8 KB) to the rootfs Adding lib/modules/2.6.23.1/kernel/fs/nfsd/nfsd.ko (208 KB) to the rootfs Adding lib/modules/2.6.23.1/kernel/fs/lockd/lockd.ko (80 KB) to the rootfs Adding lib/modules/2.6.23.1/kernel/net/sunrpc/sunrpc.ko (180 KB) to the rootfs Deleting devfsd daemon from ramdisk ...because /sbin/devfsd not found ...because disksize = 1722 Call GetInitrdFilesystemToUse?() with parameter /boot/vmlinuz-2.6.23.1 to get filesystem to use for initrd.

GetInitrdFilesystemToUse?(): called with parameter: /boot/vmlinuz-2.6.23.1.\n GetInitrdFilesystemToUse?(): gzip magic found at lvOffset 11381.\n GetInitrdFilesystemToUse?(): Filesytem to use for initrd is initramfs.\n

Creating a gzip'ed cpio (AKA initramfs) initrd image... ...done. Copying /tmp/mondo.tmp.KScYQY/mindi.rdz to /tmp/mondo.tmp.KScYQY/mountpoint.7691/initrd.img... cp: writing `/tmp/mondo.tmp.KScYQY/mountpoint.7691/initrd.img': No space left on device Failed to copy /tmp/mondo.tmp.KScYQY/mindi.rdz to /tmp/mondo.tmp.KScYQY/mountpoint.7691 Please unload some of your modules and try again. Cannot incorporate mindi.rdz in bootdisk (kernel / modules too big?) Files at mountpoint (/tmp/mondo.tmp.KScYQY/mountpoint.7691) :- 1696 /tmp/mondo.tmp.KScYQY/mountpoint.7691/initrd.img 8 /tmp/mondo.tmp.KScYQY/mountpoint.7691/ldlinux.sys 1 /tmp/mondo.tmp.KScYQY/mountpoint.7691/message.txt 1 /tmp/mondo.tmp.KScYQY/mountpoint.7691/syslinux.cfg 0 /tmp/mondo.tmp.KScYQY/mountpoint.7691/tmp 0 /tmp/mondo.tmp.KScYQY/mountpoint.7691/vmlinuz 0 /tmp/mondo.tmp.KScYQY/mountpoint.7691/zero --- end of list of files --- Kernel size = 2068 K Ramdisk free = 0 K Sorry, your kernel is too big for a boot/root floppy. I'll try the new boot/root two-disk thingy. cp: writing `vmlinuz': No space left on device Failed to copy /boot/vmlinuz-2.6.23.1 to ramdisk WARNING - failed to create 1.44MB boot/root floppies WARNING - failed to create 1.72MB boot image. Please reduce your kernel's size if you want to make a 1.72MB floppy disk. Creating ext2 filesystem on /tmp/mondo.tmp.KScYQY/temp.rd mke2fs 1.40.2 (12-Jul-2007) Filesystem label= OS type: Linux Block size=1024 (log=0) Fragment size=1024 (log=0) 18440 inodes, 36864 blocks 368 blocks (1.00%) reserved for the super user First data block=1 Maximum filesystem blocks=37748736 5 block groups 8192 blocks per group, 8192 fragments per group 3688 inodes per group Superblock backups stored on blocks:

8193, 24577

Writing inode tables: 0/51/52/53/54/5done Writing superblocks and filesystem accounting information: done

This filesystem will be automatically checked every 38 mounts or 180 days, whichever comes first. Use tune2fs -c or -i to override. udev device manager found WARNING - /sbin/udevstart does not exist; cannot be LDD'd. No Hardware support for To Be Filled By O.E.M. Ask your manufacturer to contribute to the mindi project Replace line 648 of sbin/init with user-specified line, 'ide-opt' /lib/modules/2.6.23.1/kernel/fs/nls/nls_cp437.ko added to module list. /lib/modules/2.6.23.1/kernel/fs/ext2/ext2.ko added to module list. /lib/modules/2.6.23.1/kernel/drivers/acpi/ac.ko added to module list. /lib/modules/2.6.23.1/kernel/drivers/acpi/battery.ko added to module list. /lib/modules/2.6.23.1/kernel/net/ipv6/ipv6.ko added to module list. /lib/modules/2.6.23.1/kernel/drivers/block/loop.ko added to module list. /lib/modules/2.6.23.1/kernel/drivers/input/tsdev.ko added to module list. /lib/modules/2.6.23.1/kernel/drivers/input/mouse/psmouse.ko added to module list. /lib/modules/2.6.23.1/kernel/drivers/parport/parport_pc.ko added to module list. /lib/modules/2.6.23.1/kernel/drivers/parport/parport.ko added to module list. /lib/modules/2.6.23.1/kernel/drivers/input/serio/serio_raw.ko added to module list. /lib/modules/2.6.23.1/kernel/drivers/char/watchdog/iTCO_wdt.ko added to module list. /lib/modules/2.6.23.1/kernel/drivers/input/misc/pcspkr.ko added to module list. /lib/modules/2.6.23.1/kernel/drivers/char/rtc.ko added to module list. /lib/modules/2.6.23.1/kernel/drivers/net/sky2.ko added to module list. /lib/modules/2.6.23.1/kernel/drivers/acpi/button.ko added to module list. /lib/modules/2.6.23.1/kernel/drivers/input/evdev.ko added to module list. /lib/modules/2.6.23.1/kernel/drivers/scsi/sg.ko added to module list. /lib/modules/2.6.23.1/kernel/drivers/net/e100.ko added to module list. /lib/modules/2.6.23.1/kernel/drivers/net/mii.ko added to module list. /lib/modules/2.6.23.1/kernel/drivers/block/floppy.ko added to module list. /lib/modules/2.6.23.1/kernel/drivers/acpi/thermal.ko added to module list. /lib/modules/2.6.23.1/kernel/drivers/acpi/processor.ko added to module list. /lib/modules/2.6.23.1/kernel/drivers/acpi/fan.ko added to module list. /lib/modules/2.6.23.1/kernel/drivers/scsi/st.ko added to module list. /lib/modules/2.6.23.1/kernel/drivers/scsi/osst.ko added to module list. /lib/modules/2.6.23.1/kernel/drivers/ide/ide-tape.ko added to module list. /lib/modules/2.6.23.1/kernel/drivers/ide/ide-floppy.ko added to module list. /lib/modules/2.6.23.1/kernel/drivers/block/floppy.ko added to module list. /lib/modules/2.6.23.1/kernel/drivers/ide/ide-generic.ko added to module list. /lib/modules/2.6.23.1/kernel/drivers/ide/ide-disk.ko added to module list. /lib/modules/2.6.23.1/kernel/drivers/ide/ide-cd.ko added to module list. /lib/modules/2.6.23.1/kernel/drivers/ide/legacy/ide-cs.ko added to module list. /lib/modules/2.6.23.1/kernel/drivers/ide/ide-core.ko added to module list. /lib/modules/2.6.23.1/kernel/drivers/firmware/edd.ko added to module list. /lib/modules/2.6.23.1/kernel/drivers/block/paride/paride.ko added to module list. /lib/modules/2.6.23.1/kernel/drivers/ata/ata_generic.ko added to module list. /lib/modules/2.6.23.1/kernel/drivers/ide/pci/via82cxxx.ko added to module list. /lib/modules/2.6.23.1/kernel/drivers/ide/pci/generic.ko added to module list. /lib/modules/2.6.23.1/kernel/drivers/ata/sata_nv.ko added to module list. /lib/modules/2.6.23.1/kernel/drivers/ide/pci/cmd64x.ko added to module list. /lib/modules/2.6.23.1/kernel/drivers/ata/pata_marvell.ko added to module list. /lib/modules/2.6.23.1/kernel/fs/isofs/isofs.ko added to module list. /lib/modules/2.6.23.1/kernel/fs/nls/nls_iso8859-1.ko added to module list. /lib/modules/2.6.23.1/kernel/fs/nls/nls_cp437.ko added to module list. /lib/modules/2.6.23.1/kernel/drivers/scsi/sg.ko added to module list. /lib/modules/2.6.23.1/kernel/drivers/hid/hid.ko added to module list. /lib/modules/2.6.23.1/kernel/drivers/hid/usbhid/usbkbd.ko added to module list. /lib/modules/2.6.23.1/kernel/drivers/hid/usbhid/usbhid.ko added to module list. /lib/modules/2.6.23.1/kernel/drivers/pcmcia/pcmcia_core.ko added to module list. /lib/modules/2.6.23.1/kernel/drivers/pcmcia/yenta_socket.ko added to module list. /lib/modules/2.6.23.1/kernel/drivers/block/loop.ko added to module list. /lib/modules/2.6.23.1/kernel/drivers/md/dm-snapshot.ko added to module list. /lib/modules/2.6.23.1/kernel/drivers/md/dm-zero.ko added to module list. /lib/modules/2.6.23.1/kernel/drivers/md/dm-mirror.ko added to module list. /lib/modules/2.6.23.1/kernel/fs/reiserfs/reiserfs.ko added to module list. /lib/modules/2.6.23.1/kernel/fs/ext2/ext2.ko added to module list. /lib/modules/2.6.23.1/kernel/fs/minix/minix.ko added to module list. /lib/modules/2.6.23.1/kernel/fs/nfs/nfs.ko added to module list. /lib/modules/2.6.23.1/kernel/fs/nfs_common/nfs_acl.ko added to module list. /lib/modules/2.6.23.1/kernel/fs/nfsd/nfsd.ko added to module list. /lib/modules/2.6.23.1/kernel/fs/lockd/lockd.ko added to module list. /lib/modules/2.6.23.1/kernel/net/sunrpc/sunrpc.ko added to module list. Adding lib/modules/2.6.23.1/kernel/drivers/scsi/st.ko (44 KB) to the rootfs Adding lib/modules/2.6.23.1/kernel/drivers/scsi/osst.ko (60 KB) to the rootfs Adding lib/modules/2.6.23.1/kernel/drivers/ide/ide-tape.ko (40 KB) to the rootfs Adding lib/modules/2.6.23.1/kernel/drivers/ide/ide-floppy.ko (24 KB) to the rootfs Adding lib/modules/2.6.23.1/kernel/drivers/block/floppy.ko (76 KB) to the rootfs Adding lib/modules/2.6.23.1/kernel/drivers/ide/ide-generic.ko (4 KB) to the rootfs Adding lib/modules/2.6.23.1/kernel/drivers/ide/ide-disk.ko (20 KB) to the rootfs Adding lib/modules/2.6.23.1/kernel/drivers/ide/ide-cd.ko (44 KB) to the rootfs Adding lib/modules/2.6.23.1/kernel/drivers/ide/legacy/ide-cs.ko (16 KB) to the rootfs Adding lib/modules/2.6.23.1/kernel/drivers/ide/ide-core.ko (120 KB) to the rootfs Adding lib/modules/2.6.23.1/kernel/drivers/firmware/edd.ko (16 KB) to the rootfs Adding lib/modules/2.6.23.1/kernel/drivers/block/paride/paride.ko (12 KB) to the rootfs Adding lib/modules/2.6.23.1/kernel/drivers/ata/ata_generic.ko (12 KB) to the rootfs Adding lib/modules/2.6.23.1/kernel/drivers/ide/pci/via82cxxx.ko (12 KB) to the rootfs Adding lib/modules/2.6.23.1/kernel/drivers/ide/pci/generic.ko (8 KB) to the rootfs Adding lib/modules/2.6.23.1/kernel/drivers/ata/sata_nv.ko (24 KB) to the rootfs Adding lib/modules/2.6.23.1/kernel/drivers/ide/pci/cmd64x.ko (12 KB) to the rootfs Adding lib/modules/2.6.23.1/kernel/drivers/ata/pata_marvell.ko (12 KB) to the rootfs Adding lib/modules/2.6.23.1/kernel/fs/isofs/isofs.ko (36 KB) to the rootfs Adding lib/modules/2.6.23.1/kernel/fs/nls/nls_iso8859-1.ko (8 KB) to the rootfs Adding lib/modules/2.6.23.1/kernel/fs/nls/nls_cp437.ko (8 KB) to the rootfs Adding lib/modules/2.6.23.1/kernel/drivers/scsi/sg.ko (40 KB) to the rootfs Adding lib/modules/2.6.23.1/kernel/drivers/hid/hid.ko (32 KB) to the rootfs Adding lib/modules/2.6.23.1/kernel/drivers/hid/usbhid/usbkbd.ko (12 KB) to the rootfs Adding lib/modules/2.6.23.1/kernel/drivers/hid/usbhid/usbhid.ko (36 KB) to the rootfs Adding lib/modules/2.6.23.1/kernel/drivers/pcmcia/pcmcia_core.ko (44 KB) to the rootfs Adding lib/modules/2.6.23.1/kernel/drivers/pcmcia/yenta_socket.ko (32 KB) to the rootfs Adding lib/modules/2.6.23.1/kernel/drivers/scsi/sg.ko (40 KB) to the rootfs Adding lib/modules/2.6.23.1/kernel/drivers/scsi/st.ko (44 KB) to the rootfs Adding lib/modules/2.6.23.1/kernel/drivers/scsi/osst.ko (60 KB) to the rootfs Adding lib/modules/2.6.23.1/kernel/drivers/ide/ide-tape.ko (40 KB) to the rootfs Adding lib/modules/2.6.23.1/kernel/drivers/ide/ide-floppy.ko (24 KB) to the rootfs Adding lib/modules/2.6.23.1/kernel/drivers/block/floppy.ko (76 KB) to the rootfs Adding lib/modules/2.6.23.1/kernel/drivers/ide/ide-generic.ko (4 KB) to the rootfs Adding lib/modules/2.6.23.1/kernel/drivers/ide/ide-disk.ko (20 KB) to the rootfs Adding lib/modules/2.6.23.1/kernel/drivers/ide/ide-cd.ko (44 KB) to the rootfs Adding lib/modules/2.6.23.1/kernel/drivers/ide/legacy/ide-cs.ko (16 KB) to the rootfs Adding lib/modules/2.6.23.1/kernel/drivers/ide/ide-core.ko (120 KB) to the rootfs Adding lib/modules/2.6.23.1/kernel/drivers/firmware/edd.ko (16 KB) to the rootfs Adding lib/modules/2.6.23.1/kernel/drivers/block/paride/paride.ko (12 KB) to the rootfs Adding lib/modules/2.6.23.1/kernel/drivers/ata/ata_generic.ko (12 KB) to the rootfs Adding lib/modules/2.6.23.1/kernel/drivers/ide/pci/via82cxxx.ko (12 KB) to the rootfs Adding lib/modules/2.6.23.1/kernel/drivers/ide/pci/generic.ko (8 KB) to the rootfs Adding lib/modules/2.6.23.1/kernel/drivers/ata/sata_nv.ko (24 KB) to the rootfs Adding lib/modules/2.6.23.1/kernel/drivers/ide/pci/cmd64x.ko (12 KB) to the rootfs Adding lib/modules/2.6.23.1/kernel/drivers/ata/pata_marvell.ko (12 KB) to the rootfs Adding lib/modules/2.6.23.1/kernel/fs/isofs/isofs.ko (36 KB) to the rootfs Adding lib/modules/2.6.23.1/kernel/fs/nls/nls_iso8859-1.ko (8 KB) to the rootfs Adding lib/modules/2.6.23.1/kernel/fs/nls/nls_cp437.ko (8 KB) to the rootfs Adding lib/modules/2.6.23.1/kernel/drivers/scsi/sg.ko (40 KB) to the rootfs Adding lib/modules/2.6.23.1/kernel/drivers/hid/hid.ko (32 KB) to the rootfs Adding lib/modules/2.6.23.1/kernel/drivers/hid/usbhid/usbkbd.ko (12 KB) to the rootfs Adding lib/modules/2.6.23.1/kernel/drivers/hid/usbhid/usbhid.ko (36 KB) to the rootfs Adding lib/modules/2.6.23.1/kernel/drivers/pcmcia/pcmcia_core.ko (44 KB) to the rootfs Adding lib/modules/2.6.23.1/kernel/drivers/pcmcia/yenta_socket.ko (32 KB) to the rootfs Adding lib/modules/2.6.23.1/kernel/drivers/block/loop.ko (24 KB) to the rootfs Adding lib/modules/2.6.23.1/kernel/drivers/md/dm-snapshot.ko (24 KB) to the rootfs Adding lib/modules/2.6.23.1/kernel/drivers/md/dm-zero.ko (4 KB) to the rootfs Adding lib/modules/2.6.23.1/kernel/drivers/md/dm-mirror.ko (28 KB) to the rootfs Adding lib/modules/2.6.23.1/kernel/fs/reiserfs/reiserfs.ko (224 KB) to the rootfs Adding lib/modules/2.6.23.1/kernel/fs/ext2/ext2.ko (76 KB) to the rootfs Adding lib/modules/2.6.23.1/kernel/fs/minix/minix.ko (36 KB) to the rootfs Adding lib/modules/2.6.23.1/kernel/fs/nfs/nfs.ko (284 KB) to the rootfs Adding lib/modules/2.6.23.1/kernel/fs/nfs_common/nfs_acl.ko (8 KB) to the rootfs Adding lib/modules/2.6.23.1/kernel/fs/nfsd/nfsd.ko (208 KB) to the rootfs Adding lib/modules/2.6.23.1/kernel/fs/lockd/lockd.ko (80 KB) to the rootfs Adding lib/modules/2.6.23.1/kernel/net/sunrpc/sunrpc.ko (180 KB) to the rootfs Deleting devfsd daemon from ramdisk ...because /sbin/devfsd not found Call GetInitrdFilesystemToUse?() with parameter /boot/vmlinuz-2.6.23.1 to get filesystem to use for initrd.

GetInitrdFilesystemToUse?(): called with parameter: /boot/vmlinuz-2.6.23.1.\n GetInitrdFilesystemToUse?(): gzip magic found at lvOffset 11381.\n GetInitrdFilesystemToUse?(): Filesytem to use for initrd is initramfs.\n

Creating a gzip'ed cpio (AKA initramfs) initrd image... ...done. mkfs.vfat 2.11 (12 Mar 2005) Copying /tmp/mondo.tmp.KScYQY/mindi.rdz to /tmp/mondo.tmp.KScYQY/mountpoint.7691/initrd.img... Files at mountpoint (/tmp/mondo.tmp.KScYQY/mountpoint.7691) :- 1919 /tmp/mondo.tmp.KScYQY/mountpoint.7691/initrd.img 11 /tmp/mondo.tmp.KScYQY/mountpoint.7691/ldlinux.sys 1 /tmp/mondo.tmp.KScYQY/mountpoint.7691/message.txt 1 /tmp/mondo.tmp.KScYQY/mountpoint.7691/syslinux.cfg 2 /tmp/mondo.tmp.KScYQY/mountpoint.7691/tmp 913 /tmp/mondo.tmp.KScYQY/mountpoint.7691/vmlinuz 16 /tmp/mondo.tmp.KScYQY/mountpoint.7691/zero --- end of list of files --- Kernel size = 2068 K Ramdisk free = 913 K Sorry, your kernel is too big for a boot/root floppy. I'll try the new boot/root two-disk thingy. cp: writing `vmlinuz': No space left on device Failed to copy /boot/vmlinuz-2.6.23.1 to ramdisk WARNING - failed to create 1.44MB boot/root floppies WARNING - failed to create 2.88MB floppy disk image. Please reduce your kernel's size if you want to make a 2.88MB floppy disk. Creating ext2 filesystem on /tmp/mondo.tmp.KScYQY/temp.rd mke2fs 1.40.2 (12-Jul-2007) Filesystem label= OS type: Linux Block size=1024 (log=0) Fragment size=1024 (log=0) 18440 inodes, 36864 blocks 368 blocks (1.00%) reserved for the super user First data block=1 Maximum filesystem blocks=37748736 5 block groups 8192 blocks per group, 8192 fragments per group 3688 inodes per group Superblock backups stored on blocks:

8193, 24577

Writing inode tables: 0/51/52/53/54/5done Writing superblocks and filesystem accounting information: done

This filesystem will be automatically checked every 23 mounts or 180 days, whichever comes first. Use tune2fs -c or -i to override. udev device manager found WARNING - /sbin/udevstart does not exist; cannot be LDD'd. No Hardware support for To Be Filled By O.E.M. Ask your manufacturer to contribute to the mindi project Replace line 648 of sbin/init with user-specified line, 'ide-opt' /lib/modules/2.6.23.1/kernel/fs/nls/nls_cp437.ko added to module list. /lib/modules/2.6.23.1/kernel/fs/ext2/ext2.ko added to module list. /lib/modules/2.6.23.1/kernel/drivers/acpi/ac.ko added to module list. /lib/modules/2.6.23.1/kernel/drivers/acpi/battery.ko added to module list. /lib/modules/2.6.23.1/kernel/net/ipv6/ipv6.ko added to module list. /lib/modules/2.6.23.1/kernel/drivers/block/loop.ko added to module list. /lib/modules/2.6.23.1/kernel/drivers/input/tsdev.ko added to module list. /lib/modules/2.6.23.1/kernel/drivers/input/mouse/psmouse.ko added to module list. /lib/modules/2.6.23.1/kernel/drivers/parport/parport_pc.ko added to module list. /lib/modules/2.6.23.1/kernel/drivers/parport/parport.ko added to module list. /lib/modules/2.6.23.1/kernel/drivers/input/serio/serio_raw.ko added to module list. /lib/modules/2.6.23.1/kernel/drivers/char/watchdog/iTCO_wdt.ko added to module list. /lib/modules/2.6.23.1/kernel/drivers/input/misc/pcspkr.ko added to module list. /lib/modules/2.6.23.1/kernel/drivers/char/rtc.ko added to module list. /lib/modules/2.6.23.1/kernel/drivers/net/sky2.ko added to module list. /lib/modules/2.6.23.1/kernel/drivers/acpi/button.ko added to module list. /lib/modules/2.6.23.1/kernel/drivers/input/evdev.ko added to module list. /lib/modules/2.6.23.1/kernel/drivers/scsi/sg.ko added to module list. /lib/modules/2.6.23.1/kernel/drivers/net/e100.ko added to module list. /lib/modules/2.6.23.1/kernel/drivers/net/mii.ko added to module list. /lib/modules/2.6.23.1/kernel/drivers/block/floppy.ko added to module list. /lib/modules/2.6.23.1/kernel/drivers/acpi/thermal.ko added to module list. /lib/modules/2.6.23.1/kernel/drivers/acpi/processor.ko added to module list. /lib/modules/2.6.23.1/kernel/drivers/acpi/fan.ko added to module list. /lib/modules/2.6.23.1/kernel/drivers/scsi/st.ko added to module list. /lib/modules/2.6.23.1/kernel/drivers/scsi/osst.ko added to module list. /lib/modules/2.6.23.1/kernel/drivers/ide/ide-tape.ko added to module list. /lib/modules/2.6.23.1/kernel/drivers/ide/ide-floppy.ko added to module list. /lib/modules/2.6.23.1/kernel/drivers/block/floppy.ko added to module list. /lib/modules/2.6.23.1/kernel/drivers/ide/ide-generic.ko added to module list. /lib/modules/2.6.23.1/kernel/drivers/ide/ide-disk.ko added to module list. /lib/modules/2.6.23.1/kernel/drivers/ide/ide-cd.ko added to module list. /lib/modules/2.6.23.1/kernel/drivers/ide/legacy/ide-cs.ko added to module list. /lib/modules/2.6.23.1/kernel/drivers/ide/ide-core.ko added to module list. /lib/modules/2.6.23.1/kernel/drivers/firmware/edd.ko added to module list. /lib/modules/2.6.23.1/kernel/drivers/block/paride/paride.ko added to module list. /lib/modules/2.6.23.1/kernel/drivers/ata/ata_generic.ko added to module list. /lib/modules/2.6.23.1/kernel/drivers/ide/pci/via82cxxx.ko added to module list. /lib/modules/2.6.23.1/kernel/drivers/ide/pci/generic.ko added to module list. /lib/modules/2.6.23.1/kernel/drivers/ata/sata_nv.ko added to module list. /lib/modules/2.6.23.1/kernel/drivers/ide/pci/cmd64x.ko added to module list. /lib/modules/2.6.23.1/kernel/drivers/ata/pata_marvell.ko added to module list. /lib/modules/2.6.23.1/kernel/fs/isofs/isofs.ko added to module list. /lib/modules/2.6.23.1/kernel/fs/nls/nls_iso8859-1.ko added to module list. /lib/modules/2.6.23.1/kernel/fs/nls/nls_cp437.ko added to module list. /lib/modules/2.6.23.1/kernel/drivers/scsi/sg.ko added to module list. /lib/modules/2.6.23.1/kernel/drivers/hid/hid.ko added to module list. /lib/modules/2.6.23.1/kernel/drivers/hid/usbhid/usbkbd.ko added to module list. /lib/modules/2.6.23.1/kernel/drivers/hid/usbhid/usbhid.ko added to module list. /lib/modules/2.6.23.1/kernel/drivers/pcmcia/pcmcia_core.ko added to module list. /lib/modules/2.6.23.1/kernel/drivers/pcmcia/yenta_socket.ko added to module list. /lib/modules/2.6.23.1/kernel/drivers/block/loop.ko added to module list. /lib/modules/2.6.23.1/kernel/drivers/md/dm-snapshot.ko added to module list. /lib/modules/2.6.23.1/kernel/drivers/md/dm-zero.ko added to module list. /lib/modules/2.6.23.1/kernel/drivers/md/dm-mirror.ko added to module list. /lib/modules/2.6.23.1/kernel/fs/reiserfs/reiserfs.ko added to module list. /lib/modules/2.6.23.1/kernel/fs/ext2/ext2.ko added to module list. /lib/modules/2.6.23.1/kernel/fs/minix/minix.ko added to module list. /lib/modules/2.6.23.1/kernel/fs/nfs/nfs.ko added to module list. /lib/modules/2.6.23.1/kernel/fs/nfs_common/nfs_acl.ko added to module list. /lib/modules/2.6.23.1/kernel/fs/nfsd/nfsd.ko added to module list. /lib/modules/2.6.23.1/kernel/fs/lockd/lockd.ko added to module list. /lib/modules/2.6.23.1/kernel/net/sunrpc/sunrpc.ko added to module list. Adding lib/modules/2.6.23.1/kernel/drivers/scsi/st.ko (44 KB) to the rootfs Adding lib/modules/2.6.23.1/kernel/drivers/scsi/osst.ko (60 KB) to the rootfs Adding lib/modules/2.6.23.1/kernel/drivers/ide/ide-tape.ko (40 KB) to the rootfs Adding lib/modules/2.6.23.1/kernel/drivers/ide/ide-floppy.ko (24 KB) to the rootfs Adding lib/modules/2.6.23.1/kernel/drivers/block/floppy.ko (76 KB) to the rootfs Adding lib/modules/2.6.23.1/kernel/drivers/ide/ide-generic.ko (4 KB) to the rootfs Adding lib/modules/2.6.23.1/kernel/drivers/ide/ide-disk.ko (20 KB) to the rootfs Adding lib/modules/2.6.23.1/kernel/drivers/ide/ide-cd.ko (44 KB) to the rootfs Adding lib/modules/2.6.23.1/kernel/drivers/ide/legacy/ide-cs.ko (16 KB) to the rootfs Adding lib/modules/2.6.23.1/kernel/drivers/ide/ide-core.ko (120 KB) to the rootfs Adding lib/modules/2.6.23.1/kernel/drivers/firmware/edd.ko (16 KB) to the rootfs Adding lib/modules/2.6.23.1/kernel/drivers/block/paride/paride.ko (12 KB) to the rootfs Adding lib/modules/2.6.23.1/kernel/drivers/ata/ata_generic.ko (12 KB) to the rootfs Adding lib/modules/2.6.23.1/kernel/drivers/ide/pci/via82cxxx.ko (12 KB) to the rootfs Adding lib/modules/2.6.23.1/kernel/drivers/ide/pci/generic.ko (8 KB) to the rootfs Adding lib/modules/2.6.23.1/kernel/drivers/ata/sata_nv.ko (24 KB) to the rootfs Adding lib/modules/2.6.23.1/kernel/drivers/ide/pci/cmd64x.ko (12 KB) to the rootfs Adding lib/modules/2.6.23.1/kernel/drivers/ata/pata_marvell.ko (12 KB) to the rootfs Adding lib/modules/2.6.23.1/kernel/fs/isofs/isofs.ko (36 KB) to the rootfs Adding lib/modules/2.6.23.1/kernel/fs/nls/nls_iso8859-1.ko (8 KB) to the rootfs Adding lib/modules/2.6.23.1/kernel/fs/nls/nls_cp437.ko (8 KB) to the rootfs Adding lib/modules/2.6.23.1/kernel/drivers/scsi/sg.ko (40 KB) to the rootfs Adding lib/modules/2.6.23.1/kernel/drivers/hid/hid.ko (32 KB) to the rootfs Adding lib/modules/2.6.23.1/kernel/drivers/hid/usbhid/usbkbd.ko (12 KB) to the rootfs Adding lib/modules/2.6.23.1/kernel/drivers/hid/usbhid/usbhid.ko (36 KB) to the rootfs Adding lib/modules/2.6.23.1/kernel/drivers/pcmcia/pcmcia_core.ko (44 KB) to the rootfs Adding lib/modules/2.6.23.1/kernel/drivers/pcmcia/yenta_socket.ko (32 KB) to the rootfs Adding lib/modules/2.6.23.1/kernel/drivers/scsi/sg.ko (40 KB) to the rootfs Adding lib/modules/2.6.23.1/kernel/drivers/scsi/st.ko (44 KB) to the rootfs Adding lib/modules/2.6.23.1/kernel/drivers/scsi/osst.ko (60 KB) to the rootfs Adding lib/modules/2.6.23.1/kernel/drivers/ide/ide-tape.ko (40 KB) to the rootfs Adding lib/modules/2.6.23.1/kernel/drivers/ide/ide-floppy.ko (24 KB) to the rootfs Adding lib/modules/2.6.23.1/kernel/drivers/block/floppy.ko (76 KB) to the rootfs Adding lib/modules/2.6.23.1/kernel/drivers/ide/ide-generic.ko (4 KB) to the rootfs Adding lib/modules/2.6.23.1/kernel/drivers/ide/ide-disk.ko (20 KB) to the rootfs Adding lib/modules/2.6.23.1/kernel/drivers/ide/ide-cd.ko (44 KB) to the rootfs Adding lib/modules/2.6.23.1/kernel/drivers/ide/legacy/ide-cs.ko (16 KB) to the rootfs Adding lib/modules/2.6.23.1/kernel/drivers/ide/ide-core.ko (120 KB) to the rootfs Adding lib/modules/2.6.23.1/kernel/drivers/firmware/edd.ko (16 KB) to the rootfs Adding lib/modules/2.6.23.1/kernel/drivers/block/paride/paride.ko (12 KB) to the rootfs Adding lib/modules/2.6.23.1/kernel/drivers/ata/ata_generic.ko (12 KB) to the rootfs Adding lib/modules/2.6.23.1/kernel/drivers/ide/pci/via82cxxx.ko (12 KB) to the rootfs Adding lib/modules/2.6.23.1/kernel/drivers/ide/pci/generic.ko (8 KB) to the rootfs Adding lib/modules/2.6.23.1/kernel/drivers/ata/sata_nv.ko (24 KB) to the rootfs Adding lib/modules/2.6.23.1/kernel/drivers/ide/pci/cmd64x.ko (12 KB) to the rootfs Adding lib/modules/2.6.23.1/kernel/drivers/ata/pata_marvell.ko (12 KB) to the rootfs Adding lib/modules/2.6.23.1/kernel/fs/isofs/isofs.ko (36 KB) to the rootfs Adding lib/modules/2.6.23.1/kernel/fs/nls/nls_iso8859-1.ko (8 KB) to the rootfs Adding lib/modules/2.6.23.1/kernel/fs/nls/nls_cp437.ko (8 KB) to the rootfs Adding lib/modules/2.6.23.1/kernel/drivers/scsi/sg.ko (40 KB) to the rootfs Adding lib/modules/2.6.23.1/kernel/drivers/hid/hid.ko (32 KB) to the rootfs Adding lib/modules/2.6.23.1/kernel/drivers/hid/usbhid/usbkbd.ko (12 KB) to the rootfs Adding lib/modules/2.6.23.1/kernel/drivers/hid/usbhid/usbhid.ko (36 KB) to the rootfs Adding lib/modules/2.6.23.1/kernel/drivers/pcmcia/pcmcia_core.ko (44 KB) to the rootfs Adding lib/modules/2.6.23.1/kernel/drivers/pcmcia/yenta_socket.ko (32 KB) to the rootfs Adding lib/modules/2.6.23.1/kernel/drivers/block/loop.ko (24 KB) to the rootfs Adding lib/modules/2.6.23.1/kernel/drivers/md/dm-snapshot.ko (24 KB) to the rootfs Adding lib/modules/2.6.23.1/kernel/drivers/md/dm-zero.ko (4 KB) to the rootfs Adding lib/modules/2.6.23.1/kernel/drivers/md/dm-mirror.ko (28 KB) to the rootfs Adding lib/modules/2.6.23.1/kernel/fs/reiserfs/reiserfs.ko (224 KB) to the rootfs Adding lib/modules/2.6.23.1/kernel/fs/ext2/ext2.ko (76 KB) to the rootfs Adding lib/modules/2.6.23.1/kernel/fs/minix/minix.ko (36 KB) to the rootfs Adding lib/modules/2.6.23.1/kernel/fs/nfs/nfs.ko (284 KB) to the rootfs Adding lib/modules/2.6.23.1/kernel/fs/nfs_common/nfs_acl.ko (8 KB) to the rootfs Adding lib/modules/2.6.23.1/kernel/fs/nfsd/nfsd.ko (208 KB) to the rootfs Adding lib/modules/2.6.23.1/kernel/fs/lockd/lockd.ko (80 KB) to the rootfs Adding lib/modules/2.6.23.1/kernel/net/sunrpc/sunrpc.ko (180 KB) to the rootfs Deleting devfsd daemon from ramdisk ...because /sbin/devfsd not found Call GetInitrdFilesystemToUse?() with parameter /boot/vmlinuz-2.6.23.1 to get filesystem to use for initrd.

GetInitrdFilesystemToUse?(): called with parameter: /boot/vmlinuz-2.6.23.1.\n GetInitrdFilesystemToUse?(): gzip magic found at lvOffset 11381.\n GetInitrdFilesystemToUse?(): Filesytem to use for initrd is initramfs.\n

Creating a gzip'ed cpio (AKA initramfs) initrd image... ...done. mkfs.vfat 2.11 (12 Mar 2005) Copying /tmp/mondo.tmp.KScYQY/mindi.rdz to /tmp/mondo.tmp.KScYQY/mountpoint.7691/initrd.img... Free space left on floppy = 4140 KB Max kernel size on 8192 KB floppy (est'd) = 6208 K ... 8192 KB boot disks were created OK

Transforming /dev/sdc in a Bootable device Checking /dev/sdc

Disk /dev/sdc: 1998 MB, 1998585856 bytes 64 heads, 32 sectors/track, 1906 cylinders Units = cylinders of 2048 * 512 = 1048576 bytes Disk identifier: 0x18d31b10

Device Boot Start End Blocks Id System

/dev/sdc1 * 1 1 0 0 Empty Partition 1 does not end on cylinder boundary. /dev/sdc2 716 1906 1219072 b W95 FAT32 Unmounting /dev/sdc just in case umount: /dev/sdc1: not found Erasing /dev/sdc

The number of cylinders for this disk is set to 1906. There is nothing wrong with that, but this is larger than 1024, and could in certain setups cause problems with: 1) software that runs at boot time (e.g., old versions of LILO) 2) booting and partitioning software from other OSs

(e.g., DOS FDISK, OS/2 FDISK)

Command (m for help): Partition number (1-4): Partition number (1-4): Partition number (1-4): Partition number (1-4): Partition number (1-4): Partition number (1-4): Warning: partition 1 has empty type

Command (m for help): Command (m for help): Command (m for help): Selected partition 2 Hex code (type L to list codes): Command (m for help): Partition number (1-4): Warning: partition 1 has empty type

Command (m for help): The partition table has been altered!

Calling ioctl() to re-read partition table. Syncing disks. Creating a vfat filesystem on /dev/sdc1 mkdosfs 2.11 (12 Mar 2005) Unable to create a vfat filesystem on /dev/sdc1 Make sure your USB device is pluged in and partitioned (/dev/sdc1 must exist on it)

Disk /dev/sdc: 1998 MB, 1998585856 bytes 64 heads, 32 sectors/track, 1906 cylinders Units = cylinders of 2048 * 512 = 1048576 bytes Disk identifier: 0x18d31b10

Device Boot Start End Blocks Id System

/dev/sdc1 * 1 1 0 0 Empty Partition 1 does not end on cylinder boundary. /dev/sdc2 716 1906 1219072 b W95 FAT32 Mindi 2.0.0-r1766 is exiting End date : Sun Nov 4 13:06:09 MST 2007


Mindi failed to create your boot+data disks. [Main] newt-specific.c->fatal_error#380: Fatal error received - 'Failed to generate boot+data disks'

[Main] newt-specific.c->fatal_error#398: OK, I think I'm the main PID.

[Main] newt-specific.c->fatal_error#406: I'm going to do some cleaning up now.

[Main] newt-specific.c->fatal_error#407: killall mindi 2> /dev/null

running: kill ps auxww | grep " /mondo/do-not " | awk '{print $2;}' | grep -v "grep" > /tmp/mondo.tmp.KScYQY/mondo-run-prog-thing.tmp 2> /tmp/mondo.tmp.KScYQY/mondo-run-prog-thing.err



...ran with res=15 running: kill ps auxww | grep " tmp.mondo " | awk '{print $2;}' | grep -v "grep" > /tmp/mondo.tmp.KScYQY/mondo-run-prog-thing.tmp 2> /tmp/mondo.tmp.KScYQY/mondo-run-prog-thing.err



...ran with res=15 running: kill ps auxww | grep " ntfsclone " | awk '{print $2;}' | grep -v "grep" > /tmp/mondo.tmp.KScYQY/mondo-run-prog-thing.tmp 2> /tmp/mondo.tmp.KScYQY/mondo-run-prog-thing.err



...ran with res=15

[Main] newt-specific.c->fatal_error#415: Waiting for child processes to terminate [Main] newt-specific.c->fatal_error#415: Waiting for child processes to terminate [Main] newt-specific.c->fatal_error#415: Waiting for child processes to terminate [Main] newt-specific.c->fatal_error#415: Waiting for child processes to terminate [Main] newt-specific.c->fatal_error#415: Waiting for child processes to terminate [Main] newt-specific.c->fatal_error#415: Waiting for child processes to terminate [Main] newt-specific.c->fatal_error#415: Waiting for child processes to terminate [Main] newt-specific.c->fatal_error#415: Waiting for child processes to terminate [Main] newt-specific.c->fatal_error#415: Waiting for child processes to terminate [Main] newt-specific.c->fatal_error#415: Waiting for child processes to terminate [Main] libmondo-files.c->register_pid#815: Unregistering PID [Main] libmondo-files.c->register_pid#815: Unregistering PID [Main] libmondo-files.c->register_pid#817: Error unregistering PID

running: umount /mnt/cdrom > /tmp/mondo.tmp.KScYQY/mondo-run-prog-thing.tmp 2> /tmp/mondo.tmp.KScYQY/mondo-run-prog-thing.err


umount: /mnt/cdrom: not mounted


...ran with res=256

Attachments (4)

MA.log.gz (10.7 KB) - added by phil.walker@… 11 years ago.
mondorestore.log
mindi-bkphw.diff (665 bytes) - added by phil.walker@… 11 years ago.
mondoarchive.log.gz (13.2 KB) - added by phil.walker@… 11 years ago.
mindi.log.gz (6.2 KB) - added by phil.walker@… 11 years ago.

Download all attachments as: .zip

Change History (12)

Changed 11 years ago by phil.walker@…

mondorestore.log

Changed 11 years ago by phil.walker@…

Changed 11 years ago by phil.walker@…

Changed 11 years ago by phil.walker@…

comment:1 Changed 11 years ago by phil.walker@…

  • Keywords debian usbJ added

Follow up:

The backup appears to have completed successfully after deleting all pre-existing partitions on my USB stick.

The resulting flash stick is bootable, but has errors when attempting to RECOVER. I have attached mindi.log.gz and mondoarchive.log.gz

comment:2 Changed 11 years ago by phil.walker@…

The file I intended to upload was /var/mondorestore.log, but I am unable to copy it from the system so far.

Here are some hand-copied messages from mondorestore.log:

usb-storage: scsi cmd done, result 0x0 usb-storage: * thread sleeping

sdb1

sd 4:0:0:0: [sdb] Attached SCSI removable disk sd 4:0:0:0: attached scsi generic sg2 type 0

.... [lots of Unknown Symbol messages snipped]

21:51 backup-media-type is specified in config file - great. 21:51 Calling post-init /dev/md1 / ext3 -1 21:51 Launching Shell

If other portions of the logfile would be helpful, let me know and I'll manually transcribe them.

comment:3 Changed 11 years ago by bruno

  • Status changed from new to assigned

TICKET_APPEND should work now. Thanks for the mention. I updated mindi-bkphw to remove the mkdir issue. Thanks again.

However, I disagree with you on the Basename perl dependency. This is part of perl 5.8.8 at least and shouldn't be consider exotic. Also it's much more readable than a regex IMHO.

Normally the USB key is erased before usage (all partitions delete and re-created). Interesting it doesn't zork for you.

Your problem may be linked to the fact you have /dev/sdc as a device at backup time and /dev/sdb at restore time. Use a boot option to fix that.

comment:4 Changed 11 years ago by phil.walker@…

Thanks again ...

I'm sure you're correct about, Basename.pm (not sure why it was missing from my system).

When you say "usage a boot option", are you referring to a syslinux kernel argument, or a parameter used by mondo? I searched for the phrase "boot option" in the mondo docs but couldn't find anything.

comment:5 Changed 11 years ago by bruno

Well, docs currently do not centralize the info on syslinux/isolinux/pxelinux boot params supported. It needs some work. And more over, this parameter is not documented yet :-(

So I meant that you can use a cli option usb=/dev/sdb to force the recognition of the device the way you want at restore time.

Sorry for the confusion, the option is extremely recent, and not everything is finished yet (patches accepted ;-)

comment:6 Changed 11 years ago by bruno

You should check with hte version that is currently building and updated on the ftp server. Should be from the 16th of Nov for you to try again.

comment:7 Changed 11 years ago by bruno

And it should be fixed I think with the latest version from yesterday.

comment:8 Changed 11 years ago by bruno

  • Resolution set to fixed
  • Status changed from assigned to closed

Should be fixed with official 2.2.5. If not, please reopen the bug report.

Note: See TracTickets for help on using tickets.